# Homework: PHP Advanced Techniques

Write a one to a two-page paper that reflects on the knowledge you obtained and how you have grown as a PHP web programmer in this course. Be sure to address the following questions in your submission:

- Which basic PHP programming skills do you better understand? Have more proficiency in?
- Which advanced PHP programming technique learned throughout the past 7 weeks do you believe you'll use most in the future?
- Which advanced PHP programming technique do you believe was the easiest concept to learn? The hardest?
- Which advanced PHP programming technique do you believe you still don't fully understand? How will you help yourself learn the content after the course is over?

Please make sure that any sources that you use in your submission are appropriately cited and referenced in APA format.

> See [homework](https://git.vdm.dev/champlain/WEBD-325-45/src/branch/master/week-07/homework)...

# Project: Testing and Debugging

Now it's time to make sure that your project works and to finalize everything by testing and debugging every aspect of your project.  The past few weeks, you should have verified that everything worked before you submitted the assignment for each week.  Now, you'll need to develop some test data that you'll use to run the CMS through its paces.  Walk through your site, test every login and logout module, check all CRUD abilities for subjects and pages, check all links (in the navigation bar and on the static pages), make sure users can be added to the site and all forms work appropriately, and last but not least make sure every page that had placeholder text is an actual page that is updated with real-world text regarding your project.

In this case, your professor is your client.  Please include the following items in your final project submission, zip all files and submit in this assignment. once completed:

- Your entire project that you have done throughout the past six weeks, including all PHP, HTML, and CSS pages, images, your project proposal, and anything else you have done throughout your project in the past six weeks.  Make sure before submission that it all works, nothing has broken week-to-week, and you have tested and debugged all aspects of the project as described above.
- A dump of your test database that includes all of your tables that you created for your project using the mysqldump program or phpMyAdmin.
- A brief report explaining to your client the features of your CMS design, how users will use the application, and the instructions on how to install it.

Make sure the databases, the entire project, and the brief report have been zipped up and submitted together in this assignment.

As a reminder, here are some sites with tutorials that show you how to use mysqldump and phpMyAdmin:

[How to export a database with mysqldump](http://dev.mysql.com/doc/refman/5.1/en/mysqldump.html)
[How to export a database using phpMyAdmin](http://fragments.turtlemeat.com/mysql-database-backup-restore-phpmyadmin.php)

> See [project](https://git.vdm.dev/champlain/WEBD-325-45/src/branch/master/week-07/project)...

